## class OSGTEXT_EXPORT GlyphTexture

## Inheritance:

### Public Methods

GlyphTexture()
virtual int compare(const osg::StateAttribute& rhs) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
void setStateSet(osg::StateSet* stateset)
osg::StateSet* getStateSet()
const osg::StateSet* getStateSet() const
void setGlyphImageMargin(unsigned int margin)
  Set the margin around each glyph, to ensure that texture filtering doesn't bleed adjacent glyph's into each other
unsigned int getGlyphImageMargin() const
bool getSpaceForGlyph(Glyph* glyph, int& posX, int& posY)
void addGlyph(Glyph* glyph, int posX, int posY)
virtual void apply(osg::State& state) const

### Protected Fields

osg::StateSet* _stateset
int _margin
int _usedY
int _partUsedX
int _partUsedY
GlyphRefList _glyphs
mutable GlyphBuffer _glyphsToSubload

### Protected Methods

virtual ~GlyphTexture()

### Protected Members

typedef std::vector< osg::ref_ptr<Glyph> > GlyphRefList
typedef std::vector< const Glyph* > GlyphPtrList
typedef osg::buffered_object< GlyphPtrList > GlyphBuffer

## Documentation

`GlyphTexture()`

`virtual int compare(const osg::StateAttribute& rhs) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`void setStateSet(osg::StateSet* stateset)`

`osg::StateSet* getStateSet()`

`const osg::StateSet* getStateSet() const`

`void setGlyphImageMargin(unsigned int margin)`
  Set the margin around each glyph, to ensure that texture filtering doesn't bleed adjacent glyph's into each other

`unsigned int getGlyphImageMargin() const`

`bool getSpaceForGlyph(Glyph* glyph, int& posX, int& posY)`

`void addGlyph(Glyph* glyph, int posX, int posY)`

`virtual void apply(osg::State& state) const`

`virtual ~GlyphTexture()`

`osg::StateSet* _stateset`

`int _margin`

`int _usedY`

`int _partUsedX`

`int _partUsedY`

`typedef std::vector< osg::ref_ptr<Glyph> > GlyphRefList`

`typedef std::vector< const Glyph* > GlyphPtrList`

`typedef osg::buffered_object< GlyphPtrList > GlyphBuffer`

`GlyphRefList _glyphs`

`mutable GlyphBuffer _glyphsToSubload`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.